Gyach Enhanced Logo pY! Voice Chat Logo
HOME
What's New?
GYach Enhanced
pY! Voice Chat
Webcam Support
PyTSP
PyESD
Screenshots
CVS
Language Support
License
Credits
Author

Download

Alternate Download
System Requirements
Installation Help
Usage Help


My Projects:
Gyach Enhanced
pY! Voice Chat
IceWM Control Panel
gAnim8
Pythonol
PHPaint



Site Powered By:
PHPaint
and
PHP

A full-featured Yahoo client for LINUX with voice chat and webcam support. Mission: To focus on thorough Y! support on Linux only. Philosophy: Trying to do multi-protocol / cross-platform clients slows progress and results in half-baked support - One protocol, one OS...done well.
http://phpaint.sf.net/pyvoicechat/       Support Forum




LATEST NEWS [3/13/2006]: Several bug fixes and updates have been added to the Gyach-E CVS Repository. A formal release of version 1.0.8 is on the way as time allows.
NEWS [4/29/2005]: These pages have just moved to a NEW SERVER. The site might be under construction for some time.
NEWS [04/04/2005]: Gyach Enhanced 1.0.7 is available: A major bug which could cause repeated disconnections has been fixed, and handling of the Yahoo mobile messenger buddy group has been improved. Webcam broadcasting support has been extended to include several additional camera devices. The spam control module has been updated, and the login window's interface has been improved. Several minor updates to IMVironment support and other features have been made. THANKS to Mark Alexander (marka ['at'] pobox.com) and Natanael Copa (n ['at'] tanael.org) for the patches they have contributed for webcam support.   List of NEW FEATURES.   DOWNLOAD   Installation Help
NEWS [04/04/2005]: Gyach-E Webcam Utilities version 0.4 is now available for Download: Webcam broadcasting support has been extended to include several additional camera devices. THANKS to Mark Alexander (marka ['at'] pobox.com) and Natanael Copa (n ['at'] tanael.org) for the patches they contributed for OV519 and Logitech Quickcam for Notebook Pro devices.



Gyach Enhanced and pY! Voice Chat Installation Help

HOW TO INSTALL:
    Gyach-E / pY! Voice Chat: RPM Package (.i586.rpm)
    Gyach-E / pY! Voice Chat: Binary .tar.bz2 Package (.i586.tar.bz2)
    Gyach-E / pY! Voice Chat: Source Package (source.tar.bz2)

System Requirements and Missing Files
Y! Messenger-like Themes
Download Area
Gyach-E / pY! Voice Chat: Home Page




Gyach-E / pY! Voice Chat: RPM Package:
What to download:
Gyach-Enhanced-pYVoiceChat-1.X.X-X.i586.rpm [necessary]
Gyach-Enhanced-Media-Package-X.X-X.i586.rpm (highly recommended)
gyach_enhanced_fonts1.tar.bz2 (recommended)
gyach_enhanced_fonts2.tar.bz2 (recommended)
Gyach-Enhanced-XMMS-Plugin-X.X-X.i586.rpm (optional)
Gyach-Enhanced-Encryption-Plugins-X.X-X.i586.rpm (optional)

Download Area
** NOTE: You do NOT need to download any of the 'pYVoiceChat-X.X.tar.bz2' or 'gyachE-Webcam-Utilities-' packages as the Gyach-Enhanced-pYVoiceChat-1.X.X-X.i586.rpm package already contains voice chat and webcam support. You should NOT need to install Jasper as it is already compiled into the Webcam utilities..
Installing:
You must be the ROOT user to install these packages. To install the main programs, including Gyach-E, pY! Voice Chat, and the Gyach-E webcam utilities, change to the directory where you saved the RPMs, then type rpm -Uvh --force --nodeps Gyach-Enhanced-pYVoiceChat-1.X.X-X.i586.rpm. Everything is automatically installed in the /usr/local/bin and /usr/local/share/gyach/ directories. Icons for the program are available in the /usr/local/share/gyach/pixmaps/ directory.

To install the XMMS Plugin, change to the directory where you saved the RPMs, then type rpm -Uvh --force --nodeps Gyach-Enhanced-XMMS-Plugin-X.X-X.i586.rpm. Everything is automatically installed in the /usr/local/share/gyach/plugins/ directory. You will need XMMS version 1.2.7 or better to use this plugin.

To install the Encryption Plugins, change to the directory where you saved the RPMs, then type rpm -Uvh --force --nodeps Gyach-Enhanced-Encryption-Plugins-X.X-X.i586.rpm. Everything is automatically installed in the /usr/local/share/gyach/plugins/ directory. Be sure to read this document for information about system requirements and legal issues regarding using encryption in certain countries and jurisdictions.

You now should install the Gyach-E Media Package. This package is only useful if you are installing Gyach-E version 1.0.4 or better. Do not even bother with this package if you are installing Gyach-E version 1.0.3 or earlier.. Although this is not absolutely necessary, I STRONGLY recommend you install this package as it adds support for TUXVironments (like IMVironments) and Audibles used in instant messaging conversations. Change to the directory where you saved the RPMs, then type rpm -Uvh --force --nodeps Gyach-Enhanced-Media-Package-X.X-X.i586.rpm. Everything is automatically installed in the /usr/local/share/gyach/ directory.

You now should install the Gyach-E Fonts Packages. Although this is not absolutely necessary, I STRONGLY recommend you install these packages. Be sure you have downloaded the gyach_enhanced_fonts1.tar.bz2 and gyach_enhanced_fonts2.tar.bz2 packages. The greatly improved font support uses hard-coded font settings which are used to 'recommend' fonts similar to the ones requested if an exact match is not found on your system (this is as of version 1.0.3). To get the BEST experience out of Gyach Enhanced, you should download and install BOTH of the 'font' packages available in the download area. These packages are NO LONGER ESSENTIAL to properly run Gyach-E (as of version 1.0.3), but it is highly recommended that you install the 'font' packages as it will greatly increase Gyach Enhanced abilities to 'interpret' incoming fonts to similar fonts on your system if an exact match is not available. The packages contain TrueType (TTF) fonts which you will need to install on your system. Please consult the documentation for your Linux distribution for information about installing fonts on your system, as instructions for this procedure can vary widely. Using the Gyach-E font packages is highly recommended, but not absolutely necessary as of Gyach-E version 1.0.3. If you are using Gyach-E version 1.0.2 or earlier, the 'font' packages are *required* for running Gyach-E.
Running the program:
You can run Gyach-E by executing the command gyach or /usr/local/bin/gyach. If Gyach-E will not run because it appears necessary files are missing, please read System Requirements and Missing Files. See the 'Help' menu inside Gyach-E for information about using webcam and voice chat features.

 
 

Gyach-E / pY! Voice Chat: Binary .tar.bz2 Package:
What to download:
gyach-enhanced_pyvoice-binary-X.X.X-i586.tar.bz2 [necessary]
gyachE-Webcam-Utilities-X.X-i586.tar.bz2 (highly recommended)
gyachE-Media-Package-X.X.tar.bz2 (highly recommended)
gyach_enhanced_fonts1.tar.bz2 (recommended)
gyach_enhanced_fonts2.tar.bz2 (recommended)
gyachE-XMMS-Plugin-X.X-i586.tar.bz2 (optional)
gyachE-Encryption-Plugins-X.X-i586.tar.bz2 (optional)

Download Area
** NOTE: You do NOT need to download the 'pYVoiceChat-X.X.tar.bz2' package as the gyach-enhanced_pyvoice-binary-X.X.X-i586.tar.bz2 package already contains voice chat support. However, you should be sure to download the 'gyachE-Webcam-Utilities-X.X-i586.tar.bz2' package if you wish to have webcam support. You should NOT need to install Jasper as it is already compiled into the Webcam utilities..
Installing:
You must be the ROOT user to install these packages. The FIRST thing you need to do is move all of the .tar.bz2 packages you've just downloaded to the root of your file system by typing mv gyach*.tar.bz2 /.

To install the main programs, including Gyach-E and pY! Voice Chat, change to the top directory by typing cd /, then type tar -xjf gyach-enhanced_pyvoice-binary-*-i586.tar.bz2. Everything is automatically installed in the /usr/local/bin and /usr/local/share/gyach/ directories. Icons for the program are available in the /usr/local/share/gyach/pixmaps/ directory. NOTE: This does NOT install webcam support. See the section below for information on installing webcam support.

To install the Webcam Utilities, change to the top directory by typing cd /, then type tar -xjf gyachE-Webcam-Utilities-*-i586.tar.bz2. Everything is automatically installed in the /usr/local/share/gyach/webcam/ directory. Please consult this document for information on system requirements for the Gyach-E Webcam Utilities. You should NOT need to install Jasper as it is already compiled into the Webcam utilities..

To install the XMMS Plugin, change to the top directory by typing cd /, then type tar -xjf gyachE-XMMS-Plugin-*-i586.tar.bz2. Everything is automatically installed in the /usr/local/share/gyach/plugins/ directory. You will need XMMS version 1.2.7 or better to use this plugin.

To install the Encryption Plugins, change to the top directory by typing cd /, then type tar -xjf gyachE-Encryption-Plugins-*-i586.tar.bz2. Everything is automatically installed in the /usr/local/share/gyach/plugins/ directory. Be sure to read this document for information about system requirements and legal issues regarding using encryption in certain countries and jurisdictions.

You now should install the Gyach-E Media Package. This package is only useful if you are installing Gyach-E version 1.0.4 or better. Do not even bother with this package if you are installing Gyach-E version 1.0.3 or earlier.. Although this is not absolutely necessary, I STRONGLY recommend you install this package as it adds support for TUXVironments (like IMVironments) and Audibles used in instant messaging conversations. Change to the top directory by typing cd /, then type tar -xjf gyachE-Media-Package-*.tar.bz2. Everything is automatically installed in the /usr/local/share/gyach/ directory.

You now should install the Gyach-E Fonts Packages. Although this is not absolutely necessary, I STRONGLY recommend you install these packages. Be sure you have downloaded the gyach_enhanced_fonts1.tar.bz2 and gyach_enhanced_fonts2.tar.bz2 packages. The greatly improved font support uses hard-coded font settings which are used to 'recommend' fonts similar to the ones requested if an exact match is not found on your system (this is as of version 1.0.3). To get the BEST experience out of Gyach Enhanced, you should download and install BOTH of the 'font' packages available in the download area. These packages are NO LONGER ESSENTIAL to properly run Gyach-E (as of version 1.0.3), but it is highly recommended that you install the 'font' packages as it will greatly increase Gyach Enhanced abilities to 'interpret' incoming fonts to similar fonts on your system if an exact match is not available. The packages contain TrueType (TTF) fonts which you will need to install on your system. Please consult the documentation for your Linux distribution for information about installing fonts on your system, as instructions for this procedure can vary widely. Using the Gyach-E font packages is highly recommended, but not absolutely necessary as of Gyach-E version 1.0.3. If you are using Gyach-E version 1.0.2 or earlier, the 'font' packages are *required* for running Gyach-E.
Running the program:
You can run Gyach-E by executing the command gyach or /usr/local/bin/gyach. If Gyach-E will not run because it appears necessary files are missing, please read System Requirements and Missing Files. See the 'Help' menu inside Gyach-E for information about using webcam and voice chat features.

 
 

Gyach-E / pY! Voice Chat: Source Package:
What to download:
gyach-enhanced_pyvoice-source-X.X.X.tar.bz2 [necessary]
gyachE-Media-Package-X.X.tar.bz2 (highly recommended)
gyach_enhanced_fonts1.tar.bz2 (recommended)
gyach_enhanced_fonts2.tar.bz2 (recommended)
gyachE-XMMS-Plugin-X.X-source.tar.bz2 (optional)
gyachE-Encryption-Plugins-X.X-source.tar.bz2 (optional)

Download Area
** NOTE: You do NOT need to download the 'pYVoiceChat-X.X.tar.bz2' and 'gyachE-Webcam-Utilities-X.X-source.tar.bz2' packages since the gyach-enhanced_pyvoice-source-X.X.X.tar.bz2 package already contains all the necessary source code for pY! Voice Chat and the Gyach-E webcam utilities.
Installing:
NOTE: Building the programs from source is not recommended for novice users or people with limited Linux experience. If this describes you, please consider installing one of the pre-built RPM or .tar.bz2 packages. To build the Gyach-E webcam utilities, you will need get a copy of Jasper from the download area an install it. Please consult this document for information on system requirements for the Gyach-E Webcam Utilities.

You must be the ROOT user to build and install this package. First, you'll need to build and install the gyach-enhanced_pyvoice-source-X.X.X.tar.bz2 package which contains Gyach-E, the Gyach-E webcam utilities, and pY! Voice Chat. Change to the directory where you wish to extract and build the package. We'll call this directory [BUILD_DIRECTORY]. (I strongly suggest you make a new temporary directory for this build, such as '/gyache-tmp/' or whatever you like. You can make this new directory by typing mkdir /gyache-tmp/ in any terminal or console window.) In any terminal or console type cd /[BUILD_DIRECTORY]/. Extract the package by typing tar -xjf gyach-enhanced_pyvoice-source-*.tar.bz2. Now do the following: Type cd ./gyach, then type ./config.status, then type cp -f config.h.backup config.h (Type 'y' if you are asked if you want to replace the file). Finally, type cd /[BUILD_DIRECTORY]/. Now, type make to begin building the programs. After all necessary files have been built, type make install to install everything. Everything is automatically installed in the /usr/local/bin and /usr/local/share/gyach/ directories. There is NO need to type 'configure' before building, and there is currently no way to change the installation directory. Icons for the program are available in the /usr/local/share/gyach/pixmaps/ directory.

If you wish to build and install the XMMS plugin, be sure you have downloaded the gyachE-XMMS-Plugin-X.X-source.tar.bz2 package. Type cd /[BUILD_DIRECTORY]/. Extract the package by typing tar -xjf gyachE-XMMS-Plugin-*-source.tar.bz2. Type cd /[BUILD_DIRECTORY]/gyach/plugins/src/, then type make xmms. After the plugin has been built, type make install. Be sure to read the 'XMMS_Plugin_README.txt' document inside the gyachE-XMMS-Plugin-X.X-source.tar.bz2 package for information about system requirements for the XMMS plugin. All of the necessary files will be placed in the Gyach-E shared files directory /usr/local/share/gyach/plugins/. You will need XMMS version 1.2.7 or better as well as the XMMS 'development' headers to build and use this plugin.

If you wish to build and install the Encryption plugins, be sure you have downloaded the gyachE-Encryption-Plugins-X.X-source.tar.bz2 package. Type cd /[BUILD_DIRECTORY]/. Extract the package by typing tar -xjf gyachE-Encryption-Plugins-*-source.tar.bz2. Type cd /[BUILD_DIRECTORY]/gyach/plugins/src/. Type make blowfish to build Blowfish plugin (no special software is required). Type make mcrypt to build the MCrypt plugin. Type make gpgme to build the GPG plugin. After the plugins have been built, type make install. Be sure to read this document for information about system requirements and legal issues regarding using encryption in certain countries and jurisdictions. All of the necessary files will be placed in the Gyach-E shared files directory /usr/local/share/gyach/plugins/.

You now should install the Gyach-E Media Package. This package is only useful if you are installing Gyach-E version 1.0.4 or better. Do not even bother with this package if you are installing Gyach-E version 1.0.3 or earlier.. Although this is not absolutely necessary, I STRONGLY recommend you install this package as it adds support for TUXVironments (like IMVironments) and Audibles used in instant messaging conversations. Be sure you have downloaded the gyachE-Media-Package-X.X.tar.bz2 package. Nothing needs to be 'built' in this package. You will need to move the package to the root of your file system by typing mv gyachE-Media-Package-*.tar.bz2 /. Finally, extract the package by typing tar -xjf gyachE-Media-Package-*.tar.bz2. All of the necessary files will be placed in the Gyach-E shared files directory /usr/local/share/gyach/.

You now should install the Gyach-E Fonts Packages. Although this is not absolutely necessary, I STRONGLY recommend you install these packages. Be sure you have downloaded the gyach_enhanced_fonts1.tar.bz2 and gyach_enhanced_fonts2.tar.bz2 packages. The greatly improved font support uses hard-coded font settings which are used to 'recommend' fonts similar to the ones requested if an exact match is not found on your system (this is as of version 1.0.3). To get the BEST experience out of Gyach Enhanced, you should download and install BOTH of the 'font' packages available in the download area. These packages are NO LONGER ESSENTIAL to properly run Gyach-E (as of version 1.0.3), but it is highly recommended that you install the 'font' packages as it will greatly increase Gyach Enhanced abilities to 'interpret' incoming fonts to similar fonts on your system if an exact match is not available. The packages contain TrueType (TTF) fonts which you will need to install on your system. Please consult the documentation for your Linux distribution for information about installing fonts on your system, as instructions for this procedure can vary widely. Using the Gyach-E font packages is highly recommended, but not absolutely necessary as of Gyach-E version 1.0.3. If you are using Gyach-E version 1.0.2 or earlier, the 'font' packages are *required* for running Gyach-E.
Running the program:
You can run Gyach-E by executing the command gyach or /usr/local/bin/gyach. If Gyach-E will not run because it appears necessary files are missing, please read System Requirements and Missing Files. See the 'Help' menu inside Gyach-E for information about using webcam and voice chat features.



System Requirements and Missing Files
Gyach Enhanced, pY! Voice Chat, and the Gyach-E Webcam Utilities all use Gtk-2 for their user interfaces (Gtk-2 2.0.6 or better required). Additionally, Gyach-E requires GtkHTML-2, and pY! Voice Chat requires PyGtk-2. (Pre-built versions of these libraries are available in the
Download Area.) Gyach-E also requires the Expat library, which most modern Linux systems already have. Please read the Encryption_Plugins_README.txt file for additional information about system requirements for the Encryption plugins. The XMMS Plugin requires XMMS version 1.2.7 or better. If you see error messages while building, installing, or attempting to run Gyach Enhanced that suggest that some necessary files are not present on your system, please have a look at the very BOTTOM of the Download Area for source and pre-built binary packages for commonly need files and libaries, such as Jasper, GtkHTML, PyGtk-2, and GPGMe. These packages are 'courtesy' packages and NO SUPPORT is provided for installing them. In addition, have a look around the website for more information about system requirements.


Y! Messenger-like Themes
If you would like to see have Gyach-E look a little more like the newer versions of Y! Messenger for windows, please have a look at the very BOTTOM of the
Download Area for the 'Gtk-Themes-Maverick-Blue.tar.bz2' and 'IceWM-Theme-Maverick-Blue.tar.bz2' files. These files contain themes for Gtk-2/Gtk-1 and IceWM which attempt to emulate the look of the 'Maverick Blue' theme in the newer versions of Y! Messenger for windows. These packages are 'courtesy' packages and NO SUPPORT is provided for installing or using them.



pY! Voice Chat, PyTSP, PyESD, Gyache-Webcam, Gyache-Broadcaster, and pY Web Cam are copyright (c) 2002-2005, Erica Andrews (PhrozenSmoke ['at'] yahoo.com). Gyach Enhanced is copyright (c) 2003-2005, Erica Andrews and copyright (c) 2000-2002, Chris Pinkham (cpinkham [at] corp.infi.net). Gyach Enhanced is neither endorsed by or assisted by the author of the original Gyach, Chris Pinkham. The Gyach Enhanced and the original Gyach are two separate software projects. GYach Enhanced, pY! Voice Chat, and PyTSP are NOT endorsed by or affiliated with Yahoo! (tm) or DSP Group's TrueSpeech (tm) in anyway whatsoever. pY! Voice Chat, PyTSP, PyESD, Gyache-Webcam, Gyache-Broadcaster, pY Web Cam, Gyach Enhanced, and the Gyach Enhanced plugins are distributed under the GNU General Public License.

Last Update: 04/29/2005
SourceForge Logo